# Changelog and Versioning

The Verify by Tiller API is continuously evolving, with new features and updates being added to enhance functionality and user experience. This section provides information about our versioning policy and a changelog that details the historical and recent changes to the API.

## Versioning Policy

Our API versioning is designed to ensure backward compatibility and minimise disruptions to your integration.

* **Version Format:** We use a simple versioning, vX, where X is the major version.&#x20;
* **Major Versions:** Changes in the major version indicate significant updates that may not be backwards compatible. These changes could include modifications to existing endpoint functionality or removing endpoints. This will alter the API base URL.&#x20;

```url
https://api.tiller-verify.com/api/{version}/ext/{endpoint}
```

* **Minor Changes:** Minor version updates involve backward-compatible additions or enhancements, such as adding or extending new endpoints. These will not change the base URL.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://verify-doc.tiller-verify.com/verify-api/endpoints/changelog-and-versioning.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
